#!/bin/sh

echo "********** CAUTION **********"
echo "This dpkg file updates following files"
echo "1. Update /sbin/ptpd2"
echo "2. Update /sbin/ptpd2-config"
echo "3. Update /lib/modules/2.6.32/kernel/drivers/net/e1000e/e1000e.ko"
echo -e "4. Update /boot/initrd.img-2.6.32\n"

[ -e "/lib/modules/2.6.32/kernel/drivers/net/e1000e/e1000e-V1.0.ko" ] || [ -e "/sbin/ptpd2-config-V1.0" ] || [ -e "/sbin/ptpd2-V1.0" ] || [ -e "/boot/initrd.img-2.6.32-V1.0" ] && echo -e "***** This system is already upgraded to V1.1 *****\n" && exit 1

echo -e "Backup V1.0 files...\n\"/lib/modules/2.6.32/kernel/drivers/net/e1000e/e1000e.ko\" to \"/lib/modules/2.6.32/kernel/drivers/net/e1000e/e1000e-V1.0.ko\"\n\"/boot/initrd.img-2.6.32\" to \"/boot/initrd.img-2.6.32-V1.0\"\n\"/sbin/ptpd2\" to \"/boot/initrd.img-2.6.32-V1.0\"\n\"/sbin/ptpd2-config\" to \"/sbin/ptpd2-config-V1.0\""

mount -o remount,rw /
:> /etc/udev/rules.d/70-persistent-net.rules

if lsmod | grep "r8169" &> /dev/null ; then rmmod r8169.ko; modprobe r8169; fi
if lsmod | grep "e1000e" &> /dev/null ; then rmmod e1000e.ko; fi
[ -e "/lib/modules/2.6.32/kernel/drivers/net/e1000e/e1000e.ko" ] && cp /lib/modules/2.6.32/kernel/drivers/net/e1000e/e1000e.ko /lib/modules/2.6.32/kernel/drivers/net/e1000e/e1000e-V1.0.ko
[ -e "/boot/initrd.img-2.6.32" ] && cp /boot/initrd.img-2.6.32 /boot/initrd.img-2.6.32-V1.0
[ -e "/sbin/ptpd2" ] && cp /sbin/ptpd2 /sbin/ptpd2-V1.0
[ -e "/sbin/ptpd2-config" ] && cp /sbin/ptpd2-config /sbin/ptpd2-config-V1.0

cp initrd.img-2.6.32  /boot/initrd.img-2.6.32
cp ptpd2 /sbin/ptpd2
cp ptpd2-config /sbin/ptpd2-config
cp e1000e.ko /lib/modules/2.6.32/kernel/drivers/net/e1000e/e1000e.ko

depmod -ae

modprobe e1000e
umount /

echo -e "Done.\n"
