#!/bin/sh

if [ -e "/lib/modules/2.6.32/kernel/drivers/net/e1000e/e1000e-V1.0.ko" ] && [ -e "/sbin/ptpd2-config-V1.0" ] && [ -e "/sbin/ptpd2-V1.0" ] && [ -e "/boot/initrd.img-2.6.32-V1.0" ]; then
	echo "***** Start to recover system to V1.0 *****"
	if lsmod | grep "e1000e" &> /dev/null ; then rmmod e1000e.ko; fi
	mount -o remount,rw /
	mv /lib/modules/2.6.32/kernel/drivers/net/e1000e/e1000e-V1.0.ko /lib/modules/2.6.32/kernel/drivers/net/e1000e/e1000e.ko
	mv /boot/initrd.img-2.6.32-V1.0 /boot/initrd.img-2.6.32
	mv /sbin/ptpd2-V1.0 /sbin/ptpd2
	mv /sbin/ptpd2-config-V1.0 /sbin/ptpd2-config

	echo -e "Done.\n"

	depmod -ae
	umount /
	echo "Reboot system..."
	reboot

else
	echo -e "***** This system is NOT DA-683 V1.1 *****\n" && exit 1
fi

